OpenAgentPack Kit
POST
/api/admin/templates/{templateId}/listing

Path Parameters

templateId*string
Length1 <= length

Request Body

application/json
  1. body
display_name*string
Length1 <= length <= 60
plan_id?string
Length1 <= length
confirm_token?string
Length1 <= length

Response Body

已上架的模版条目

application/json
  1. response
data*
curl -X POST 'https://example.com/api/admin/templates/string/listing' \  -H 'Content-Type: application/json' \  -d '{  "display_name": "string"}'
{  "data": {    "slug": "string",    "display_name": "string",    "description": "string",    "icon": "string",    "opening_remarks": "string",    "suggested_prompts": [],    "capabilities": {      "streaming": true,      "fileUpload": true,      "artifacts": true,      "threads": true,      "reasoning": true    },    "theme": {      "accent": "string",      "iconBackground": "string"    },    "remote_agent_id": "string",    "remote_agent_version": 0,    "agent_version": 0,    "remote_environment_id": "string",    "files": [      {        "file_id": "string",        "filename": "string",        "mount_path": "string",        "size": 0      }    ],    "memory_stores": [      {        "memory_store_id": "string",        "access": "read_only",        "instructions": "string"      }    ],    "vault_ids": [      "string"    ],    "visibility": "public",    "ordering": 100,    "category": "general",    "featured": false,    "id": "string",    "status": "unlisted",    "created_at": "string",    "updated_at": "string"  }}